<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.contractor.manage.dao.TContractorPreparationAnalysisDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.contractor.manage.model.domain.TContractorPreparationAnalysis">
                <id column="id" property="id"/>
                <id column="preparation_id" property="preparationId"/>
                <id column="workplace" property="workplace"/>
                <id column="activity_name" property="activityName"/>
                <id column="hazard_description" property="hazardDescription"/>
                <id column="potential_accident_consequences" property="potentialAccidentConsequences"/>
                <id column="control_measures" property="controlMeasures"/>
                <id column="person_id" property="personId"/>
    </resultMap>
</mapper>